## sophomorix4 3.77.2-1

=== Makefile ===
#!/usr/bin/make
# This is the sophomorix Makefile
# for Debian packaging (make DESTDIR=/root/sophomorix)
DESTDIR=

# Installing from this Makefile
#====================================
# if you use this Makefile to install sophomorix (instead of 
# installing the debian-Package) you will miss:
#   1. html-documentation
#   2. manpages
# This is because debian has scripts to install 1. and 2. VERY easily
# see debian/rules -> dh_installman, dh-installdocs



# Debian
#====================================

# Homes
#HOME=$(DESTDIR)/home

# Developement
#USERROOT=$(DESTDIR)/root

# Data
LIBDIR=$(DESTDIR)/var/lib/sophomorix

# Cache
#CACHEDIR=$(DESTDIR)/var/cache/sophomorix

# Logs
LOGDIR=$(DESTDIR)/var/log/sophomorix

# Perl modules
PERLMOD=$(DESTDIR)/usr/share/perl5/Sophomorix

# Dokumentation
#DOCDEBDIR=$(DESTDIR)/usr/share/doc

# configs
CONF=$(DESTDIR)/etc/linuxmuster/sophomorix

# Schema
SCHEMA=$(DESTDIR)/usr/share/sophomorix/schema

# Developer configs
DEVELCONF=$(DESTDIR)/usr/share/sophomorix

# Migration conf
DUMPCONF=$(DESTDIR)/usr/share/sophomorix-dump
VAMPIRECONF=$(DESTDIR)/usr/share/sophomorix-vampire

# Encoding-data
ENCODING=$(DESTDIR)/usr/share/sophomorix/encoding-data

# Language
LANGUAGE=$(DESTDIR)/usr/share/sophomorix/lang

# Latex
LATEX=$(DESTDIR)/usr/share/sophomorix/lang/latex

# Filter
FILTER=$(DESTDIR)/usr/share/sophomorix/filter

# startscripts-skel
STARTSCRIPTSSKEL=$(DESTDIR)/usr/share/sophomorix/devel/startscript-skel

# SAMBADEBCONFDIR fr Debian 
#SAMBADEBCONFDIR=$(DESTDIR)/etc/samba

# SAMBA Debian 
#SAMBADIR=$(DESTDIR)/var/lib/samba
#SAMBAROOTPREEXEC=$(DESTDIR)/etc/linuxmuster/samba/root-preexec.d
#SAMBAROOTPOSTEXEC=$(DESTDIR)/etc/linuxmuster/samba/root-postexec.d

# Config-templates
#CTEMPDIR=$(DESTDIR)/usr/share/sophomorix/config-templates

# Testfiles
DEVELOPERDIR=$(DESTDIR)/usr/share/sophomorix-developer
TESTDATA=$(DESTDIR)/usr/share/sophomorix-developer/testdata
TESTFILES=$(DESTDIR)/usr/share/sophomorix-developer/testfiles
EXAMPLEFILES=$(DESTDIR)/usr/share/sophomorix-developer/examplefiles
TESTTEMPLATES=$(DESTDIR)/usr/share/sophomorix-developer/testtemplates


# sophomorix-virusscan
#VIRUSSCAN=$(DESTDIR)/usr/share/sophomorix-virusscan

# Tools
#TOOLS=$(DESTDIR)/root/sophomorix-developer


all: install-sophomorix-samba install-virusscan install-developer install-vampire install-dump install-belwue-mail

help:
	@echo ' '
	@echo 'Most common options of this Makefile:'
	@echo '-------------------------------------'
	@echo ' '
	@echo '   make help'
	@echo '      show this help'
	@echo ' '
	@echo '   make | make all'
	@echo '      make an installation of files to the local ubuntu bionic'
	@echo ' '
	@echo '   make install-virusscan'
	@echo '      create a debian package'
	@echo ' '
	@echo '   make install-sophomorix-samba'
	@echo '      create a debian package'
	@echo ' '
	@echo '   make install-developer'
	@echo '      create a debian package'
	@echo ' '
	@echo '   make deb'
	@echo '      create a debian package for ubuntu bionic'
	@echo ' '


deb:
	### Prepare to build an ubuntu bionic package
	@echo 'Did you do a dch -i ?'
	@sleep 2
	dpkg-buildpackage -tc -uc -us -sa -rfakeroot
	@echo ''
	@echo 'Do not forget to tag this version with: git tag V-x.y.z'
	@echo ''

#clean: clean-doc clean-debian
clean: clean-debian

clean-debian:
	rm -rf  debian/sophomorix4
#	rm -rf  debian/sophomorix4-virusscan


# sophomorix-samba
install-sophomorix-samba:
	### install-samba
# some dirs
	@install -d -m700 -oroot -groot $(LIBDIR)
	@install -d -m700 -oroot -groot $(LIBDIR)/tmp
	@install -d -m700 -oroot -groot $(LIBDIR)/lock
	@install -d -m700 -oroot -groot $(LIBDIR)/print-data
	@install -d -m700 -oroot -groot $(LIBDIR)/check-result
	@install -d -m700 -oroot -groot $(LOGDIR)
	@install -d -m700 -oroot -groot $(LOGDIR)/user
# Install the scripts
	@install -d $(DESTDIR)/usr/sbin
	@install -oroot -groot --mode=0744 sophomorix-samba/scripts/sophomorix-*[a-z1-9] $(DESTDIR)/usr/sbin
# Install the modules
	@install -d -m755 -oroot -groot $(PERLMOD)
	@install -oroot -groot --mode=0644 sophomorix-samba/modules/Sophomorix*[a-z1-9.]pm $(PERLMOD)
# install schema
	@install -d -m755 -oroot -groot $(SCHEMA)/
	@install -oroot -groot --mode=0644 sophomorix-samba/schema/1_sophomorix-attributes.ldif $(SCHEMA)/
	@install -oroot -groot --mode=0644 sophomorix-samba/schema/2_sophomorix-classes.ldif $(SCHEMA)/
	@install -oroot -groot --mode=0644 sophomorix-samba/schema/3_sophomorix-aux.ldif $(SCHEMA)/
	@install -oroot -groot --mode=0755 sophomorix-samba/schema/sophomorix_schema_add.sh $(SCHEMA)/
	@install -d -m755 -oroot -groot $(SCHEMA)/schema-updates
	@install -oroot -groot --mode=0644 sophomorix-samba/schema/schema-updates/sophomorix-schema-update-[0-9]*.ldif $(SCHEMA)/schema-updates
# installing configs for root
	@install -d -m755 -oroot -groot $(CONF)
# configs for developers
	@install -d -m755 -oroot -groot $(DEVELCONF)/devel
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/sophomorix-devel.conf $(DEVELCONF)/devel
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/sophomorix.ini $(DEVELCONF)/devel
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/README.repdir $(DEVELCONF)/devel
	@install -d -m755 -oroot -groot $(DEVELCONF)/devel/master
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/master/school.conf.master $(DEVELCONF)/devel/master
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/master/sophomorix.conf.master $(DEVELCONF)/devel/master
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/master/group.default.conf.master $(DEVELCONF)/devel/master
# config templates
	@install -d -m755 -oroot -groot $(DEVELCONF)/config-templates
	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/sophomorix.conf.template.ini $(DEVELCONF)/config-templates
	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/school.conf.template.ini $(DEVELCONF)/config-templates
	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/devices.csv.template $(DEVELCONF)/config-templates
	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/belwue.template.ini $(DEVELCONF)/config-templates
#	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/WEBUI.template.ini $(DEVELCONF)/config-templates
#	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/ANOTHER_UI.template.ini $(DEVELCONF)/config-templates
	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/test-ui-perm.ini $(DEVELCONF)/config-templates
# repdir files
	@install -d -m755 -oroot -groot $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.linux $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.global $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.school $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.school_gpo $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.project $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.globaladministrator_home $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.schooladministrator_home $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.teacher_home $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.adminclass $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.extraclass $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.student_home $(DEVELCONF)/devel/repdir
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.examuser_home $(DEVELCONF)/devel/repdir
# ntacls
	@install -d -m755 -oroot -groot $(DEVELCONF)/devel/ntacl
	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/ntacl/*ntacl.template $(DEVELCONF)/devel/ntacl
# gpo stuff
	@install -d -m755 -oroot -groot $(DEVELCONF)/devel/gpo
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school.ldif.template $(DEVELCONF)/devel/gpo
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/Printers.xml.template $(DEVELCONF)/devel/gpo
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/Printers.xml.template.pre $(DEVELCONF)/devel/gpo
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/Printers.xml.template.post $(DEVELCONF)/devel/gpo
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school/GPT.INI $(DEVELCONF)/devel/gpo/school/GPT.INI
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school/Machine/comment.cmtx $(DEVELCONF)/devel/gpo/school/Machine/comment.cmtx
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school/Machine/Registry.pol $(DEVELCONF)/devel/gpo/school/Machine/Registry.pol
	@install -D -oroot -groot --mode=0644 "sophomorix-samba/config-devel/gpo/school/Machine/Microsoft/Windows NT/SecEdit/GptTmpl.inf" "$(DEVELCONF)/devel/gpo/school/Machine/Microsoft/Windows NT/SecEdit/GptTmpl.inf"
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school/Machine/Scripts/scripts.ini $(DEVELCONF)/devel/gpo/school/Machine/Scripts/scripts.ini 
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school/Machine/Scripts/Startup/http_proxy_signing_ca.p12 $(DEVELCONF)/devel/gpo/school/Machine/Scripts/Startup/http_proxy_signing_ca.p12
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school/User/Preferences/Drives/Drives.xml $(DEVELCONF)/devel/gpo/school/User/Preferences/Drives/Drives.xml 
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school/User/Preferences/Printers/Printers.xml $(DEVELCONF)/devel/gpo/school/User/Preferences/Printers/Printers.xml 
	@install -D -oroot -groot --mode=0644 sophomorix-samba/config-devel/gpo/school/User/Scripts/scripts.ini $(DEVELCONF)/devel/gpo/school/User/Scripts/scripts.ini 
# language stuff
	@install -d -m755 -oroot -groot $(LANGUAGE)
#	@install -oroot -groot --mode=0644 sophomorix-samba/lang/sophomorix-lang.*[a-z] $(LANGUAGE)
	@install -oroot -groot --mode=0644 sophomorix-samba/lang/errors.*[a-z] $(LANGUAGE)
# latex stuff
	@install -d -m755 -oroot -groot $(LATEX)
	@install -d -m755 -oroot -groot $(LATEX)/templates
	@install -oroot -groot --mode=0644 sophomorix-samba/lang/latex/README.latextemplates $(LATEX)
	@install -oroot -groot --mode=0644 sophomorix-samba/lang/latex/templates/*[a-z0-9-]-template.tex $(LATEX)/templates
# Encoding-data
	@install -d -m755 -oroot -groot $(ENCODING)
	@install -oroot -groot --mode=0644 sophomorix-samba/encoding-data/*.txt $(ENCODING)
# filter scripts
	@install -d -m755 -oroot -groot $(FILTER)
	@install -oroot -groot --mode=0755 sophomorix-samba/filter/*.filter $(FILTER)
# startscripts
	@install -d -m755 -oroot -groot $(STARTSCRIPTSSKEL)
	@install -d -m755 -oroot -groot $(STARTSCRIPTSSKEL)/custom
	@install -d -m755 -oroot -groot $(STARTSCRIPTSSKEL)/custom/linux
	@install -oroot -groot --mode=0644 sophomorix-samba/startscripts-skel/custom/linux/logoff.sh $(STARTSCRIPTSSKEL)/custom/linux
	@install -oroot -groot --mode=0644 sophomorix-samba/startscripts-skel/custom/linux/logon.sh $(STARTSCRIPTSSKEL)/custom/linux
	@install -oroot -groot --mode=0644 sophomorix-samba/startscripts-skel/custom/linux/sysstart.sh $(STARTSCRIPTSSKEL)/custom/linux
	@install -oroot -groot --mode=0644 sophomorix-samba/startscripts-skel/custom/linux/sysstop.sh $(STARTSCRIPTSSKEL)/custom/linux
	@install -d -m755 -oroot -groot $(STARTSCRIPTSSKEL)/custom/windows
