## sophomorix4 3.77.1-1

=== debian/changelog ===
sophomorix4 (3.77.1-1) lmn7; urgency=medium

  * login card options, sophomorixIntrinsic2 with rel path user

 -- jeff <bz@adler>  Sat, 04 Apr 2020 17:10:11 +0200

sophomorix4 (3.76.0-1) lmn7; urgency=medium

  * same package as 3.74.15 for stable repository

 -- jeff <bz@adler>  Tue, 17 Mar 2020 11:47:26 +0100

sophomorix4 (3.74.15-1) lmn7-testing; urgency=medium

  * #92 and #98

 -- bz <bz@overpower>  Sun, 08 Mar 2020 12:27:15 +0100

sophomorix4 (3.74.14-1) lmn7-testing; urgency=medium

  * #88, smbpasswd works with $,sophomorix-query adds hostnames from AD lookup

 -- bz <bz@overpower>  Sun, 08 Mar 2020 00:25:52 +0100

sophomorix4 (3.74.13-1) lmn7-testing; urgency=medium

  * sophomorix-user options to set/add/delete arbitrary attributes like proxyAddresses

 -- bz <bz@overpower>  Sat, 29 Feb 2020 01:35:42 +0100

sophomorix4 (3.74.12-1) lmn7-testing; urgency=medium

  * MAIL_LOCAL_PART and MAIL_LOCAL_PART_MAP at school.conf added

 -- bz <bz@overpower>  Fri, 28 Feb 2020 15:27:52 +0100

sophomorix4 (3.74.11-1) lmn7-testing; urgency=medium

  * sophomorix-print exits with json output (closes #93) 

 -- bz <bz@overpower>  Thu, 27 Feb 2020 15:57:51 +0100

sophomorix4 (3.74.10-1) lmn7-testing; urgency=medium

  * printers.xml with new/changed options

 -- bz <bz@overpower>  Thu, 27 Feb 2020 14:58:34 +0100

sophomorix4 (3.74.9-2) lmn7-testing; urgency=medium

  * sophomorix-check: exit with json errors, sophomorix-session -i --supervisor (more permormance)

 -- bz <bz@overpower>  Wed, 26 Feb 2020 19:15:02 +0100

sophomorix4 (3.74.8-1) lmn7-testing; urgency=medium

  * WINDOWS-1252 as new coding system, -jjjj and -jjjjj to print json in file

 -- jeff <bz@adler>  Thu, 20 Feb 2020 20:44:07 +0100

sophomorix4 (3.74.7-1) lmn7-testing; urgency=medium

  * sophomorix-query --smbstatus --query-ip|-user|-room|computer

 -- jeff <bz@adler>  Wed, 12 Feb 2020 03:24:10 +0100

sophomorix4 (3.74.6-1) lmn7-testing; urgency=medium

  * sophomorix-passwd --class option added

 -- jeff <bz@adler>  Tue, 11 Feb 2020 22:55:32 +0100

sophomorix4 (3.74.5-1) lmn7-testing; urgency=medium

  * Bugfix: extraclass usere werden gelöscht

 -- jeff <bz@adler>  Sun, 09 Feb 2020 20:47:44 +0100

sophomorix4 (3.74.4-1) lmn7-testing; urgency=medium

  * added smbstatus output, logrotate

 -- jeff <bz@adler>  Thu, 06 Feb 2020 14:41:17 +0100

sophomorix4 (3.74.3-1) lmn7-testing; urgency=medium

  * Bugfix #100, clearing tmp_collect, fix collecting students, instead of home

 -- jeff <bz@adler>  Sun, 19 Jan 2020 18:15:47 +0100

sophomorix4 (3.74.2-1) lmn7-testing; urgency=medium

  * Package for BSZ Leo epoptes group

 -- jeff <bz@adler>  Tue, 14 Jan 2020 17:53:35 +0100

sophomorix4 (3.74.1-1) lmn7-testing; urgency=medium

  * FR, --smbcquotas-only, sophomorix-extraclass (partly)

 -- jeff <bz@adler>  Wed, 01 Jan 2020 23:59:37 +0100

sophomorix4 (3.74.0-1) lmn7; urgency=medium

  * set wifi group to default, --smbpasswd on password change (#91),--test-firstpassword creates script

 -- jeff <bz@adler>  Tue, 17 Dec 2019 13:03:59 +0100

sophomorix4 (3.73.2-1) lmn7-testing; urgency=medium

  * copy printers.xml in the correct place

 -- jeff <bz@adler>  Sun, 01 Dec 2019 20:57:10 +0100

sophomorix4 (3.73.1-1) lmn7-testing; urgency=medium

  * more output according to #90

 -- jeff <bz@adler>  Tue, 05 Nov 2019 22:14:23 +0100

sophomorix4 (3.73.0-1) lmn7-testing; urgency=medium

  * #90, #91, #94, #95

 -- jeff <bz@adler>  Sun, 03 Nov 2019 21:34:53 +0100

sophomorix4 (3.72.0-2) lmn7; urgency=medium

  * Help updated for new stable package

 -- jeff <bz@adler>  Tue, 15 Oct 2019 20:40:34 +0200

sophomorix4 (3.71.2-1) lmn7-testing; urgency=medium

  * show AD double data with sophomorix-check

 -- jeff <bz@adler>  Fri, 11 Oct 2019 22:15:13 +0200

sophomorix4 (3.71.1-1) lmn7-testing; urgency=medium

  * fixed movement to attic

 -- jeff <bz@adler>  Thu, 10 Oct 2019 00:57:07 +0200

sophomorix4 (3.70.8-1) lmn7-testing; urgency=medium

  * deletion of empty classes fixes

 -- jeff <bz@adler>  Thu, 03 Oct 2019 16:31:59 +0200

sophomorix4 (3.70.7-1) lmn7-testing; urgency=medium

  * quota fix, new options to reset individual quota

 -- jeff <bz@adler>  Tue, 24 Sep 2019 01:22:29 +0200

sophomorix4 (3.70.6-1) lmn7; urgency=medium

  * sophomorix-check mail attr. in JSON, fixed sophomorix-passwd --test-login

 -- jeff <bz@adler>  Mon, 16 Sep 2019 23:32:30 +0200

sophomorix4 (3.70.5-1) lmn7; urgency=medium

  * allow MAIDOMAIN=NONE, avoid = in random passwords

 -- jeff <bz@adler>  Mon, 09 Sep 2019 18:35:45 +0200

sophomorix4 (3.70.3-1) lmn7; urgency=medium

  * Bugfix: missing tmp dir

 -- jeff <bz@adler>  Wed, 04 Sep 2019 14:46:36 +0200

sophomorix4 (3.70.2-1) lmn7; urgency=medium

  * json return for logintest 

 -- jeff <bz@adler>  Tue, 03 Sep 2019 13:49:42 +0200

sophomorix4 (3.70.1-2) lmn7; urgency=medium

  * Bugfixed NTACL

 -- jeff <bz@adler>  Thu, 15 Aug 2019 20:32:29 +0200

sophomorix4 (3.70.0-1) lmn7-testing; urgency=medium

  * New NTACL set for schools

 -- jeff <bz@adler>  Sat, 10 Aug 2019 23:37:58 +0200

sophomorix4 (3.69.6-1) lmn7; urgency=medium

  * update SID in Printers.xml

 -- jeff <bz@adler>  Sat, 10 Aug 2019 17:39:12 +0200

sophomorix4 (3.69.5-1) lmn7; urgency=medium

  * adding options to filters

 -- jeff <bz@adler>  Thu, 08 Aug 2019 11:02:12 +0200

sophomorix4 (3.69.4-1) lmn7; urgency=medium

  * deleting examusers with smbclient to make it work with msdfs

 -- jeff <bz@adler>  Fri, 02 Aug 2019 17:50:39 +0200

sophomorix4 (3.69.3-1) lmn7; urgency=medium

  * sophomorix-newfile: allow 0-9. in names, JSON errors when cp fails

 -- jeff <bz@adler>  Fri, 02 Aug 2019 14:02:19 +0200

sophomorix4 (3.69.2-1) lmn7; urgency=medium

  * make examaccounts noexpiry, user server instead of dnsdomaun for smbcacls

 -- jeff <bz@adler>  Tue, 30 Jul 2019 19:13:05 +0200

sophomorix4 (3.69.1-1) lmn7; urgency=medium

  * add all new users with noexpiry accounts, tool to fix axisting users


