=== debian/control ===
Source: sophomorix4
Section: admin
Priority: optional
Maintainer: Rüdiger Beck <jeffbeck@web.de>
Build-Depends: debhelper (>= 8.0.0), devscripts
Standards-Version: 3.9.4


Package: sophomorix-samba
Architecture: all
Depends: libnss-winbind, libnet-ldap-perl, libnet-dns-perl, libunicode-map8-perl, libnet-mac-perl, libnet-ldap-sid-perl, libdate-calc-perl, liblist-moreutils-perl, libstring-approx-perl, libjson-perl, libmath-round-perl, libfilesys-smbclient-perl, libhtml-tableextract-perl, liblatex-encode-perl, libconfig-inifiles-perl, libterm-readkey-perl, cifs-utils, texlive-latex-base, texlive-fonts-recommended, texlive-lang-german
Description: Sophomorix for Samba 4
 sophomorix-samba is a user management tool for Samba 4


Package: sophomorix-developer
Architecture: all
Depends:  sophomorix-samba (>=3.77.0), ldap-utils, cloc, make
Description: Test suite for sophomorix-samba
 Scripts to test sophomorix-samba  on a runnig system. These scripts can 
 screw up your server!

Package: sophomorix-vampire
Architecture: all
Depends:  sophomorix-samba (>=3.77.0), ldap-utils
Description: Migration vampire script
 Script to such users, classes, projects and workstations from a dump
 with sophomorix-dump

Package: sophomorix-dump
Architecture: all
Depends:  
Description: Migration dump script
 Script to dump users, classes, projects a nd workstations from
 linuxmusternet6 server

Package: sophomorix-belwue-mail
Architecture: all
Depends: sophomorix-samba (>=3.77.0), libhtml-tableextract-perl
Description: Reading external Mail data at Belwue and suggest actions


#Package: sophomorix-doc-html
#Architecture: all
#Depends: 
#Description: Html documentation for sophomorix-samba
# This Package contains the documentation for sophomorix-samba

#Package: sophomorix-virusscan
#Architecture: all
#Depends: sophomorix-samba (>=3.77.0), clamav
#Description: script to scan large amounts of data for viruses with clamscan
