## sophomorix4 3.77.2-1

=== debian/changelog ===
sophomorix4 (3.77.2-1) lmn7-testing; urgency=medium

  * option DHCP instead of ip-octet -> no DnsNode/DnsZone

 -- jeff <bz@adler>  Fri, 10 Apr 2020 17:45:13 +0200
