=== debian/control ===
--- 
+++ 
@@ -15,14 +15,14 @@
 
 Package: sophomorix-developer
 Architecture: all
-Depends:  sophomorix-samba (>=3.77.0), ldap-utils, cloc, make
+Depends:  sophomorix-samba (>=3.77.2), ldap-utils, cloc, make
 Description: Test suite for sophomorix-samba
  Scripts to test sophomorix-samba  on a runnig system. These scripts can 
  screw up your server!
 
 Package: sophomorix-vampire
 Architecture: all
-Depends:  sophomorix-samba (>=3.77.0), ldap-utils
+Depends:  sophomorix-samba (>=3.77.2), ldap-utils
 Description: Migration vampire script
  Script to such users, classes, projects and workstations from a dump
  with sophomorix-dump
@@ -36,7 +36,7 @@
 
 Package: sophomorix-belwue-mail
 Architecture: all
-Depends: sophomorix-samba (>=3.77.0), libhtml-tableextract-perl
+Depends: sophomorix-samba (>=3.77.2), libhtml-tableextract-perl
 Description: Reading external Mail data at Belwue and suggest actions
 
 
@@ -48,6 +48,6 @@
 
 #Package: sophomorix-virusscan
 #Architecture: all
-#Depends: sophomorix-samba (>=3.77.0), clamav
+#Depends: sophomorix-samba (>=3.77.2), clamav
 #Description: script to scan large amounts of data for viruses with clamscan
