## sophomorix4 3.80.0-1

=== Makefile ===
--- 
+++ 
@@ -46,6 +46,7 @@
 
 # Developer configs
 DEVELCONF=$(DESTDIR)/usr/share/sophomorix
+DEVELBELVUECONF=$(DESTDIR)/usr/share/sophomorix-belwue
 
 # Migration conf
 DUMPCONF=$(DESTDIR)/usr/share/sophomorix-dump
@@ -177,7 +178,6 @@
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/sophomorix.conf.template.ini $(DEVELCONF)/config-templates
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/school.conf.template.ini $(DEVELCONF)/config-templates
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/devices.csv.template $(DEVELCONF)/config-templates
-	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/belwue.template.ini $(DEVELCONF)/config-templates
 #	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/WEBUI.template.ini $(DEVELCONF)/config-templates
 #	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/ANOTHER_UI.template.ini $(DEVELCONF)/config-templates
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-template/test-ui-perm.ini $(DEVELCONF)/config-templates
