=== debian/changelog ===
sophomorix4 (3.80.0-1) lmn7-testing; urgency=medium

  * school isolation fully tested

 -- jeff <bz@adler>  Sun, 24 May 2020 20:58:32 +0200

sophomorix4 (3.79.4-1) lmn7-experimental; urgency=medium

  * automatically update rolegroups on package install, some minor fixes

 -- jeff <bz@adler>  Mon, 11 May 2020 18:54:35 +0200

sophomorix4 (3.79.3-1) lmn7-experimental; urgency=medium

  * all tests with rolegroups tests without error

 -- jeff <bz@adler>  Mon, 11 May 2020 10:28:53 +0200

sophomorix4 (3.79.2-1) lmn7-experimental; urgency=medium

  * schoolisolation tests, global rolegroups improved

 -- jeff <bz@adler>  Wed, 06 May 2020 14:18:48 +0200

sophomorix4 (3.79.1-1) lmn7-testing; urgency=medium

  * schoolisolation, global rolegroups for experimental testing

 -- jeff <bz@adler>  Mon, 27 Apr 2020 14:55:01 +0200
