=== debian/changelog ===
sophomorix4 (3.81.11-1) lmn7-testing; urgency=medium

  * remove former teachers as admins from classes

 -- bz <bz@adler>  Sun, 12 Sep 2021 17:35:43 +0200

sophomorix4 (3.81.10-1) lmn7-testing; urgency=medium

  * manpage for school.conf

 -- bz <bz@adler>  Tue, 07 Sep 2021 16:20:39 +0200

sophomorix4 (3.81.9-1) lmn7-testing; urgency=medium

  * asv-bw filter added

 -- bz <bz@adler>  Tue, 07 Sep 2021 15:25:00 +0200

sophomorix4 (3.81.8-1) lmn7-testing; urgency=medium

  * print sophomorixUnid in csv exports as last element in export line

 -- bz <bz@adler>  Mon, 30 Aug 2021 16:43:09 +0200

sophomorix4 (3.81.7-1ubuntu1) lmn7-testing; urgency=medium

  * performance issues fixed in session listing, fixed: sophomorix-transfer --list-dir

 -- bz <bz@adler>  Fri, 28 May 2021 16:25:04 +0200

sophomorix4 (3.81.6-1) lmn7-testing; urgency=medium

  * #129 gpo, #130, option to delete autogenerated sessions

 -- bz <bz@adler>  Sun, 18 Apr 2021 18:31:02 +0200

sophomorix4 (3.81.5-1) lmn7-testing; urgency=medium

  * added examplix printout

 -- bz <bz@adler>  Sat, 07 Nov 2020 16:50:11 +0100

sophomorix4 (3.81.4-1) lmn7-testing; urgency=medium

  * sophomorix-belwue: fixed typeout

 -- bz <bz@adler>  Tue, 20 Oct 2020 16:07:05 +0200

sophomorix4 (3.81.3-1) lmn7-testing; urgency=medium

  * sophomorix-belwue: show maillist/fowarding, option --caller-copy 

 -- bz <bz@adler>  Sat, 17 Oct 2020 16:09:20 +0200

sophomorix4 (3.81.2-1) lmn7-testing; urgency=medium

  * new options to change unid of a user (fixed)

 -- bz <bz@adler>  Fri, 16 Oct 2020 12:56:00 +0200

sophomorix4 (3.81.1-1) lmn7-testing; urgency=medium

  * new options to change unid of a user

 -- bz <bz@adler>  Fri, 16 Oct 2020 09:36:10 +0200

sophomorix4 (3.81.0-1) lmn7-testing; urgency=medium

  * belwue stuff

 -- bz <bz@adler>  Wed, 07 Oct 2020 16:25:29 +0200

sophomorix4 (3.80.2-1) lmn7-testing; urgency=medium

  * Export sophomorixUnid to webuntis export

 -- bz <bz@adler>  Tue, 15 Sep 2020 12:00:48 +0200

sophomorix4 (3.80.1-1) lmn7-testing; urgency=medium

  * added group add/delete logging
  * Bugfix #114
  * MAILDOMAIN_BY_GROUP option in school.conf
  * sophomorix-user -u <user> --set|add|remove-proxy-addresses
  * Option RANDOM_PWD=birthdate 

 -- bz <bz@adler>  Thu, 10 Sep 2020 20:02:23 +0200
