## sophomorix4 7.3.12

=== debian/changelog ===
sophomorix4 (7.3.12) lmn73; urgency=medium

  * Fix target branch in AD_user_move for new roles.
  * Fix creation of subdirectories in staff tree. 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Mon, 27 Oct 2025 23:54:28 +0100

sophomorix4 (7.3.11) lmn73; urgency=medium

  * [device] Fix new room name for devices
  * [device] Ensure room group exists and membership before adding device
  * [print] Add option to not split firstname and lastname

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Sun, 12 Oct 2025 21:18:23 +0200

sophomorix4 (7.3.10) lmn73; urgency=medium

  * Use lmncli instead of lmntools. 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Mon, 14 Jul 2025 21:07:12 +0200

sophomorix4 (7.3.9) lmn73; urgency=medium

  * Update teachers groups of schoolclasses if membership changes 
  * Extend sophomorix-query to parent and staff

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Mon, 30 Jun 2025 21:10:42 +0200

sophomorix4 (7.3.8) lmn73; urgency=medium

  * Update hook scripts for students groups. 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Fri, 06 Jun 2025 09:16:23 +0200

sophomorix4 (7.3.7) lmn73; urgency=medium

  * Webui permissions for parents and staff. 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Sun, 25 May 2025 12:10:32 +0200

sophomorix4 (7.3.6) lmn73; urgency=medium

  * Fix chown command
  * Fix quota for parents
  * Add complete support for staff members
  * Fix install of repdir for parents
  * Update quotas for new users after add
  * Fix delete of projects on file server (thanks @hermanntoast)  

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Thu, 15 May 2025 21:12:26 +0200

sophomorix4 (7.3.5) lmn73; urgency=medium

  * Fix AD group parents. 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Sun, 16 Mar 2025 15:37:47 +0100

sophomorix4 (7.3.4) lmn73; urgency=medium

  * Handle parents accounts
  * Generate passwords with diceware (thanks @raphael247) 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Tue, 11 Mar 2025 13:33:15 +0100

sophomorix4 (7.3.3) lmn73; urgency=medium

  * Update workflow with right repo name. 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Sun, 02 Feb 2025 15:59:57 +0100

sophomorix4 (7.3.2) lmn73; urgency=medium

  * Add ssh host key. 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Sun, 02 Feb 2025 15:46:02 +0100

sophomorix4 (7.3.1) lmn73; urgency=medium

  * New package for lmn7.3

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Sun, 02 Feb 2025 15:17:28 +0100

sophomorix4 (3.92.1-3) lmn72; urgency=medium

  * package ONLY for jammy samba, (stat -> allinfo, -mNT1 deprecated)

 -- bz <bz@adler>  Tue, 05 Sep 2023 08:55:45 +0200

sophomorix4 (3.90.10-2) lmn71; urgency=medium

  * 3.90.10-1 for lmn71 repo

 -- bz <bz@adler>  Thu, 05 Jan 2023 13:22:54 +0100

sophomorix4 (3.90.10-1) lmn71-testing; urgency=medium

  * new script for custom fields

 -- bz <bz@adler>  Wed, 04 Jan 2023 18:19:59 +0100

sophomorix4 (3.90.9-1) lmn71-testing; urgency=medium

  * allow sophomorix-query to write json output into a file
  * added options MEMBER_USER and MEMBER_PROJECT to group.<name>.conf

 -- bz <bz@adler>  Wed, 07 Dec 2022 16:04:11 +0100

sophomorix4 (3.90.8-1) lmn71-testing; urgency=medium

  * throwing error in json output if encoding could not be determined
  * sophomorix-transfer does not exit anymore if --move/--scopy does not fond the source file/dir. Instead a progress object is created with warning

 -- bz <bz@adler>  Fri, 02 Dec 2022 18:55:06 +0100

sophomorix4 (3.90.7-1) lmn71-testing; urgency=medium

  * added CLASSNAME_MAP option in school.conf

 -- bz <bz@adler>  Thu, 15 Sep 2022 09:05:56 +0200

sophomorix4 (3.90.6-2) lmn71; urgency=medium

  * add sophomorix-collect base script

 -- bz <bz@adler>  Tue, 30 Aug 2022 12:51:35 +0200

sophomorix4 (3.90.5-1) lmn71-testing; urgency=medium

  * options -jjjj and -jjjjj with configurable output dir in sophomorix.ini
  * allow 22.04 as valid distro
  * --gpo-listall output more parsable 

 -- bz <bz@adler>  Thu, 11 Aug 2022 13:49:41 +0200

sophomorix4 (3.90.4-1) lmn71-testing; urgency=medium

  * add dummy python module and python script sophomorix-smbclient
  * add DGR/hardwareclass to sophomorixIntrinsic1 at computer account

 -- bz <bz@adler>  Sat, 09 Apr 2022 19:20:03 +0200

sophomorix4 (3.90.3-1) lmn71; urgency=medium

  * Test build on ubuntu 20.04

 -- bz <bz@adler>  Fri, 07 Jan 2022 15:14:49 +0100

sophomorix4 (3.90.2-1) lmn7; urgency=medium

  * Just a build Test with dependency fixes

 -- bz <bz@adler>  Mon, 27 Dec 2021 17:16:08 +0100

sophomorix4 (3.90.1-1) lmn71; urgency=medium

  * fixed nonworking printout for nonlatex characters in class
  * added option to sophomorix-exam-mode: --reset-all-exam-mode-users --school <school>
  * added option DEFAULT_NONRANDOM_PWD to configure a file-wide nonrandom password for new users

 -- bz <bz@adler>  Mon, 27 Dec 2021 15:29:55 +0100
