## sophomorix4 7.3.13

=== Makefile ===
--- 
+++ 
@@ -34,6 +34,9 @@
 
 # Perl modules
 PERLMOD=$(DESTDIR)/usr/share/perl5/Sophomorix
+
+# Python modules
+PYTHONMOD=$(DESTDIR)/usr/lib/python3/dist-packages/sophomorix
 
 # Dokumentation
 #DOCDEBDIR=$(DESTDIR)/usr/share/doc
@@ -149,12 +152,17 @@
 	@install -d -m700 -oroot -groot $(LOGDIR)
 	@install -d -m700 -oroot -groot $(LOGDIR)/user
 	@install -d -m700 -oroot -groot $(LOGDIR)/cron
-# Install the scripts
+# Install the perl scripts
 	@install -d $(DESTDIR)/usr/sbin
 	@install -oroot -groot --mode=0744 sophomorix-samba/scripts/sophomorix-*[a-z1-9] $(DESTDIR)/usr/sbin
-# Install the modules
+# Install the perl modules
 	@install -d -m755 -oroot -groot $(PERLMOD)
 	@install -oroot -groot --mode=0644 sophomorix-samba/modules/Sophomorix*[a-z1-9.]pm $(PERLMOD)
+# Install the python modules
+	@install -d -m755 -oroot -groot $(PYTHONMOD)
+	@install -oroot -groot --mode=0644 sophomorix-samba/python/modules/*[a-z1-9.]py $(PYTHONMOD)
+# Install the python scripts
+	@install -oroot -groot --mode=0744 sophomorix-samba/python/scripts/sophomorix-*[a-z1-9] $(DESTDIR)/usr/sbin
 # install schema
 	@install -d -m755 -oroot -groot $(SCHEMA)/
 	@install -oroot -groot --mode=0644 sophomorix-samba/schema/1_sophomorix-attributes.ldif $(SCHEMA)/
@@ -193,8 +201,11 @@
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.schooladministrator_home $(DEVELCONF)/devel/repdir
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.teacher_home $(DEVELCONF)/devel/repdir
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.adminclass $(DEVELCONF)/devel/repdir
+	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.staffclass $(DEVELCONF)/devel/repdir
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.extraclass $(DEVELCONF)/devel/repdir
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.student_home $(DEVELCONF)/devel/repdir
+	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.parent_home $(DEVELCONF)/devel/repdir
+	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.staff_home $(DEVELCONF)/devel/repdir
 	@install -oroot -groot --mode=0644 sophomorix-samba/config-devel/repdir/repdir.examuser_home $(DEVELCONF)/devel/repdir
 # ntacls
 	@install -d -m755 -oroot -groot $(DEVELCONF)/devel/ntacl
@@ -231,10 +242,3 @@
 	@install -oroot -groot --mode=0755 sophomorix-samba/filter/*.filter $(FILTER)
 # startscripts
 	@install -d -m755 -oroot -groot $(STARTSCRIPTSSKEL)
-	@install -d -m755 -oroot -groot $(STARTSCRIPTSSKEL)/custom
-	@install -d -m755 -oroot -groot $(STARTSCRIPTSSKEL)/custom/linux
-	@install -oroot -groot --mode=0644 sophomorix-samba/startscripts-skel/custom/linux/logoff.sh $(STARTSCRIPTSSKEL)/custom/linux
-	@install -oroot -groot --mode=0644 sophomorix-samba/startscripts-skel/custom/linux/logon.sh $(STARTSCRIPTSSKEL)/custom/linux
-	@install -oroot -groot --mode=0644 sophomorix-samba/startscripts-skel/custom/linux/sysstart.sh $(STARTSCRIPTSSKEL)/custom/linux
-	@install -oroot -groot --mode=0644 sophomorix-samba/startscripts-skel/custom/linux/sysstop.sh $(STARTSCRIPTSSKEL)/custom/linux
-	@install -d -m755 -oroot -groot $(STARTSCRIPTSSKEL)/custom/windows
