=== debian/changelog ===
sophomorix4 (7.3.13) lmn73; urgency=medium

  * Add kill log when users are in status R. 

 -- Arnaud Kientz <arnaud@linuxmuster.net>  Fri, 02 Jan 2026 11:57:45 +0100
