=== debian/control ===
--- 
+++ 
@@ -16,14 +16,14 @@
 
 Package: sophomorix-developer
 Architecture: all
-Depends:  sophomorix-samba (>=3.81.11), ldap-utils, cloc, make
+Depends:  sophomorix-samba (>=3.92.1), ldap-utils, cloc, make
 Description: Test suite for sophomorix-samba
  Scripts to test sophomorix-samba  on a runnig system. These scripts can 
  screw up your server!
 
 Package: sophomorix-vampire
 Architecture: all
-Depends:  sophomorix-samba (>=3.81.11), ldap-utils
+Depends:  sophomorix-samba (>=3.92.1), ldap-utils
 Description: Migration vampire script
  Script to such users, classes, projects and workstations from a dump
  with sophomorix-dump
@@ -37,7 +37,7 @@
 
 Package: sophomorix-belwue-mail
 Architecture: all
-Depends: sophomorix-samba (>=3.81.11), libhtml-tableextract-perl
+Depends: sophomorix-samba (>=3.92.1), libhtml-tableextract-perl
 Description: Reading external Mail data at Belwue and suggest actions
 
 
@@ -49,6 +49,6 @@
 
 #Package: sophomorix-virusscan
 #Architecture: all
-#Depends: sophomorix-samba (>=3.81.11), clamav
+#Depends: sophomorix-samba (>=3.92.1), clamav
 #Description: script to scan large amounts of data for viruses with clamscan
