=== debian/rules ===
--- 
+++ 
@@ -95,6 +95,7 @@
 # manpages for files, section 5:
 	dh_installman -psophomorix-samba sophomorix-samba/man/de/students.csv.de.5
 	dh_installman -psophomorix-samba sophomorix-samba/man/de/teachers.csv.de.5
+	dh_installman -psophomorix-samba sophomorix-samba/man/de/school.conf.de.5
 
 # 	dh_installman -psophomorix-samba sophomorix-samba/man/de/italcrooms.conf.de.5
 # 	dh_installman -psophomorix-samba sophomorix-samba/man/de/sophomorix-check.de.8
